<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('type')->nullable();
            $table->integer('user')->nullable();
            $table->string('amount')->nullable();
            $table->string('payment_mode')->nullable();
             $table->string('fname')->nullable();
              $table->string('lname')->nullable();
               $table->string('wallet')->nullable();
                $table->string('b_name')->nullable();
                $table->string('a_number')->nullable();
                $table->string('proof')->nullable();
                $table->string('dsignal')->nullable();
                $table->string('sort_code')->nullable();
                $table->string('date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions');
    }
}
